## NMDeviceVeth NMDeviceVeth |

## Functions

NMDevice * | nm_device_veth_get_peer ()

## Properties

NMDevice * | peer | Read

## Types and Values

#define | NM_DEVICE_VETH_PEER
| NMDeviceVeth

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceEthernet
                    ╰── NMDeviceVeth

## Description

## Functions

### nm_device_veth_get_peer ()

    NMDevice *
    nm_device_veth_get_peer (NMDeviceVeth *device);

#### Parameters

device | a NMDeviceVeth |

#### Returns

the device's peer device.

[transfer none]

Since: 1.42

## Types and Values

### NM_DEVICE_VETH_PEER

    #define NM_DEVICE_VETH_PEER "peer"

### NMDeviceVeth

    typedef struct _NMDeviceVeth NMDeviceVeth;

Since: 1.30

## Property Details

### The `“peer”` property

      “peer”                     NMDevice *

The device's peer device.

Owner: NMDeviceVeth

Flags: Read

Since: 1.30